ml.dmlc.xgboost4j.java

## Enum DMatrix.SparseType

- java.lang.Object
- - java.lang.Enum<DMatrix.SparseType>
  - - ml.dmlc.xgboost4j.java.DMatrix.SparseType

- All Implemented Interfaces:
    Serializable, Comparable<DMatrix.SparseType>
  Enclosing class:
    DMatrix

      public static enum DMatrix.SparseType
      extends Enum<DMatrix.SparseType>

  sparse matrix type (CSR or CSC)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CSC`
    `CSR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DMatrix.SparseType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DMatrix.SparseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CSR

          public static final DMatrix.SparseType CSR

    - #### CSC

          public static final DMatrix.SparseType CSC

  - ### Method Detail

    - #### values

          public static DMatrix.SparseType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DMatrix.SparseType c : DMatrix.SparseType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DMatrix.SparseType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All rights reserved.